## nodejs 12.22.12~dfsg

=== debian/changelog ===
nodejs (12.22.12~dfsg-1~deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-23920: insecure loading of ICU data through ICU_DATA environment
    variable.

 -- Aron Xu <aron@debian.org>  Wed, 26 Apr 2023 22:52:32 +0800

nodejs (12.22.12~dfsg-1~deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Create symlink to @types/node/tsc3.6 to mitigate regression introduced in
    12.22.12 which dropped support for tsc 3.6 (Closes: #1014914)

 -- Aron Xu <aron@debian.org>  Thu, 19 Jan 2023 20:10:10 +0800

nodejs (12.22.12~dfsg-1~deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Backport upstream fix for:
    - CVE-2022-32212, CVE-2022-43548: IsAllowedHost check bypass
    - CVE-2022-32213, CVE-2022-32214, CVE-2022-32215, CVE-2022-35256: several HTTP
      Request Smuggling (HRS) in llhttp parser.
    - CVE-2022-35255: better randomness setup V8:EntropySource()

 -- Aron Xu <aron@debian.org>  Sat, 07 Jan 2023 19:27:55 +0800

nodejs (12.22.12~dfsg-1~deb11u1) bullseye-security; urgency=medium

  * New upstream version 12.22.12
    Fixes a shutdown crash in Node-API (formerly N-API) and
    a potential stack overflow when using vm.runInNewContext().
  * Backport upstream fix for test_dns_lookupService_promises.js
    to pass also when /etc/services is not installed.
  * New upstream version 12.22.9
    + CVE-2021-44532: Certificate Verification Bypass
      via String Injection (Medium)
    + CVE-2021-44533: Incorrect handling of certificate subject
      and issuer fields (Medium
    + CVE-2022-21824: Prototype pollution via console.table
      properties (Low)
  * New upstream version 12.22.7
    + CVE-2021-22959: HTTP Request Smuggling due to
      spaced in headers (Medium)
    + CVE-2021-22960: HTTP Request Smuggling
      when parsing the body (Medium)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 27 Jun 2022 00:01:12 +0200

nodejs (12.22.5~dfsg-2~deb11u1) bullseye-security; urgency=medium

  * ares_compat.patch let node compile against ares < 1.17.2
    Closes: #992112

 -- Jérémy Lal <kapouer@melix.org>  Wed, 11 Aug 2021 21:06:00 +0200
