## nodejs 14.16.1~dfsg

=== debian/changelog ===
nodejs (14.16.1~dfsg-1.lnd.10) experimental; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:45:14 +0800

nodejs (14.16.1~dfsg-1.lnd.9) experimental; urgency=medium

  * Remove some unused opcodes

 -- Shi Pujin <shipujin@loongson.cn>  Thu, 23 Sep 2021 09:52:34 +0800

nodejs (14.16.1~dfsg-1.lnd.8) experimental; urgency=medium

  * add loong64 support nodej
  * Remove the -EL parameter

 -- Shi Pujin <shipujin@loongson.cn>  Tue, 17 Aug 2021 20:39:57 +0800

nodejs (14.16.1~dfsg-1.lnd.7) experimental; urgency=medium

  * nojit Skip the on-heap trampoline for builtins calls

 -- Shi Pujin <shipujin@loongson.cn>  Tue, 03 Aug 2021 10:24:05 +0800

nodejs (14.16.1~dfsg-1.lnd.6) experimental; urgency=medium

  * on loongarch64, node --jitless segfaults

 -- Shi Pujin <shipujin@loongson.cn>  Thu, 08 Jul 2021 19:44:15 +0800

nodejs (14.16.1~dfsg-1.lnd.5) experimental; urgency=medium

  * debian/rules --dest-cpu: loongarch64 -> la64

 -- Shi Pujin <shipujin@loongson.cn>  Tue, 15 Jun 2021 19:38:40 +0800

nodejs (14.16.1~dfsg-1.lnd.4) experimental; urgency=medium

  * modify the architecture name to loongarch64

 -- Shi Pujin <shipujin@loongson.cn>  Fri, 28 May 2021 09:07:07 +0800

nodejs (14.16.1~dfsg-1.lnd.3) experimental; urgency=medium

  * add deps/v8/include/cppgc

 -- Shi Pujin <shipujin@loongson.cn>  Thu, 14 May 2021 17:38:49 +0800

nodejs (14.16.1~dfsg-1.lnd.2) experimental; urgency=medium

  * debian/control

 -- Shi Pujin <shipujin@loongson.cn>  Thu, 13 May 2021 17:38:49 +0800

nodejs (14.16.1~dfsg-1.lnd.1) experimental; urgency=medium

  * add loongarch64 build

 -- Shi Pujin <shipujin@loongson.cn>  Thu, 13 May 2021 17:38:49 +0800

nodejs (14.16.1~dfsg-1) experimental; urgency=medium

  [ James Addison ]
  * THP ELF assembly: Add .note.GNU-stack section (Closes: #980272)

  [ Jérémy Lal ]
  * New upstream version 14.16.1~dfsg
  * Add Breaks: node-babel-runtime (<< 7). Closes:#987301

 -- Jérémy Lal <kapouer@melix.org>  Thu, 06 May 2021 17:02:20 +0200

nodejs (14.16.0~dfsg-1) experimental; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 14.16.0~dfsg
    Fixed vulnerabilities:
    + CVE-2021-22883: HTTP2 'unknownProtocol' cause DoS
      by resource exhaustion
    + CVE-2021-22884: localhost6 DNS rebinding in --inspect
  * Refresh make-doc patch
  * Patch to always use pure javascript cjs lexer
  * copyright: cjs-module-lexer is expat
  * copyright: exclude cjs-module-lexer unbuildable files
  * copyright: fix some copyright years
  * copyright: shjs is no longer used
  * lintian-overrides: false positive for a unicode regexp

  [ Xavier Guimard ]
  * Embed @types/node 14
  * Provides node-types-node (Closes: #979698)
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Security-Contact.
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use secure URI in Homepage field.
  * Add "Rules-Requires-Root: no"
  * Modernize debian/watch
  * Add ctype=nodejs to component(s)
  * Update d/copyright urls

 -- Jérémy Lal <kapouer@melix.org>  Thu, 04 Mar 2021 00:29:51 +0100

nodejs (14.13.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.13.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Oct 2020 18:57:02 +0200

nodejs (14.12.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.12.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Sep 2020 18:54:27 +0200

nodejs (14.11.0~dfsg-2) experimental; urgency=medium

  * Rewrite changelog with the CVE

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 Sep 2020 18:11:35 +0200

nodejs (14.11.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.11.0~dfsg
    Vulnerabilities fixed
    + CVE-2020-8251
      Denial of Service by resource exhaustion CWE-400 due to
      unfinished HTTP/1.1 requests (Critical)
    + CVE-2020-8252
      fs.realpath.native on may cause buffer overflow (Medium)
  * Refresh patches

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 Sep 2020 01:21:19 +0200

nodejs (14.9.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.9.0~dfsg
  * Drop python3 patch, applied upstream
  * Update make-doc patch to ignore false type-match errors

 -- Jérémy Lal <kapouer@melix.org>  Sat, 29 Aug 2020 14:23:27 +0200

nodejs (14.8.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.8.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 11 Aug 2020 22:46:00 +0200

nodejs (14.7.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.7.0~dfsg (Closes: #968139).
  * Two tests won't pass on IPv6-only hosts
  * There was no such thing as libnode64-dev, remove it
  * libnode83 breaks libnode64, libnode72 Closes: #966008
  * nodejs-doc: depends node-highlight.js instead of libjs
  * python3 support (Closes: #967032):
    + tests/control: depends python3, python3-distutils
    + python3 patch: use env.PYTHON in two tests
    + export PYTHON = python3 for Makefile
  * tests/control: drop cdbs, now useless
  * Update make-doc.patch to deal with new syntax in esm.md
  * Refresh patches:
    + drop mips-fix
    + drop revert-extra-ca

 -- Jérémy Lal <kapouer@melix.org>  Mon, 10 Aug 2020 00:43:34 +0200

nodejs (14.4.0~dfsg-2) experimental; urgency=medium

  * Just completely disable ADDRCONFIG flag
  * Multiarch hinter: remove Multi-Arch: same on libnode-dev
  * Patch to fix ppc64 build

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Jun 2020 16:59:47 +0200

nodejs (14.4.0~dfsg-1) experimental; urgency=medium

  * New upstream version 14.4.0~dfsg
  * Bump libnode ABI to 83
  * Build-Depends python3-distutils
  * Fix make-doc.patch to allow no description
  * Fix make-doc.patch for stricter example heading match
  * copyright: add zlib copy
  * rules: JOBS=1 on 32-bit architectures only

 -- Jérémy Lal <kapouer@melix.org>  Thu, 11 Jun 2020 23:11:59 +0200
