=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-buildinfo,
  bash-completion,
  ca-certificates,
@@ -14,16 +14,17 @@
  jq,
  libbrotli-dev,
  libc-ares-dev (>= 1.14~),
- libhttp-parser-dev (>= 2.9.2~),
- libicu-dev (>= 64.0~),
+ libhttp-parser-dev (>= 2.8.1~),
+ libicu-dev (>= 63.1~),
  libkvm-dev [kfreebsd-any],
- libnghttp2-dev (>= 1.41.0~),
+ libnghttp2-dev (>= 1.36.0~),
  libssl-dev (>= 1.1.1~),
- libuv1-dev (>= 1.33.0~),
- node-acorn (>= 6.2.1~),
+ libuv1-dev (>= 1.24.1~),
+ node-acorn (>= 5.5.3~),
+ node-highlight.js,
  openssl (>= 1.1.1~),
  pkg-config,
- pkg-js-tools (>= 0.8.2~),
+ pkg-js-tools (>= 0.5~),
  python3,
  python3-distutils,
  procps,
@@ -32,17 +33,17 @@
  node-marked
 Standards-Version: 4.5.1
 Homepage: https://nodejs.org/
-Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/debian/bullseye
-Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master
+Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b master
 Rules-Requires-Root: no
 
 Package: libnode-dev
 Section: libdevel
-Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel loongarch64 ppc64 ppc64el s390x
 Depends: ${misc:Depends},
  libssl-dev (>= 1.1.1~),
- libuv1-dev (>= 1.33.0~),
- libnode72 (= ${binary:Version})
+ libuv1-dev (>= 1.24.1~),
+ libnode83 (= ${binary:Version})
 Breaks: nodejs-dev (<< 10.0.0~dfsg1-3)
 Replaces: libv8-dev,
  nodejs-dev (<< 10.0.0~dfsg1-3)
@@ -55,15 +56,15 @@
  efficient, perfect for data-intensive real-time applications that run
  across distributed devices.
  .
- This package provides development headers for libnode72
+ This package provides development headers for libnode83
 
 Package: nodejs
-Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel loongarch64 ppc64 ppc64el s390x
 Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libnode72 (= ${binary:Version})
+ libnode83 (= ${binary:Version})
 Recommends: ca-certificates,
  nodejs-doc
 Suggests: npm
@@ -84,15 +85,16 @@
  System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
  HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 
-Package: libnode72
+Package: libnode83
 Section: libs
-Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel loongarch64 ppc64 ppc64el s390x
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  sse2-support [i386]
 Breaks: node-modern-syslog (<< 1.1.4-2),
- libnode64
+ libnode64,
+ libnode72
 Replaces: nodejs-legacy
 Conflicts: nodejs-legacy
 Description: evented I/O for V8 javascript - runtime library
@@ -116,7 +118,6 @@
 Multi-Arch: foreign
 Recommends: nodejs
 Depends: ${misc:Depends}
- , libjs-highlight.js
 Replaces: nodejs (<< 6.11.2~dfsg-3)
 Conflicts: nodejs (<< 6.11.2~dfsg-3)
 Description: API documentation for Node.js, the javascript platform
