=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ABI = $(shell awk '/^\#define NODE_MODULE_VERSION/ {print $$3}' src/node_version.h)
 
 # archs
-ARCHS := amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
+ARCHS := amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel loongarch64 ppc64 ppc64el s390x
 
 # branch
 BRANCH := $(word 1, $(subst .,$(space), $(DEB_UPSTREAM_VERSION)))
@@ -16,20 +16,19 @@
 export LANG
 DEB_CONFIGURE_NORMAL_ARGS =
 DEB_CONFIGURE_EXTRA_FLAGS = \
---verbose \
 --without-npm \
 --shared \
 --shared-zlib \
 --shared-cares \
 --shared-brotli \
---with-intl=system-icu \
+--with-intl=small-icu \
 --prefix=/usr \
 --openssl-use-def-ca-store \
 --arch-triplet=$(DEB_HOST_MULTIARCH) \
---node-relative-path="lib/$(DEB_HOST_MULTIARCH)/nodejs:share/nodejs:lib/nodejs"
-
-DEB_CONFIGURE_EXTRA_FLAGS += --shared-nghttp2
-DEB_CONFIGURE_EXTRA_FLAGS += --shared-libuv
+--node-relative-path="lib/$(DEB_HOST_MULTIARCH)/nodejs:share/nodejs:lib/nodejs" 
+#--shared-nghttp2 \
+#--shared-libuv
+
 DEB_CONFIGURE_EXTRA_FLAGS += --shared-openssl
 
 # map HOST ARCH AND OS, and if unknown let upstream guess
@@ -44,6 +43,7 @@
 destCpu := $(or $(destCpu),$(if $(filter armel,$(DEB_HOST_ARCH)),unsupported))
 destCpu := $(or $(destCpu),$(if $(filter armhf,$(DEB_HOST_ARCH)),arm))
 destCpu := $(or $(destCpu),$(if $(filter aarch64,$(DEB_HOST_ARCH)),arm64))
+destCpu := $(or $(destCpu),$(if $(filter loong64,$(DEB_HOST_ARCH)),loong64))
 destCpu := $(or $(destCpu),$(if $(filter mipsel,$(DEB_HOST_ARCH)),mipsel))
 destCpu := $(or $(destCpu),$(if $(filter mips64el,$(DEB_HOST_ARCH)),mips64el))
 destCpu := $(or $(destCpu),$(if $(filter mips64r6el,$(DEB_HOST_ARCH)),mips64el))
@@ -189,7 +189,7 @@
 	rm -rf $(NODE_TEST_DIR)
 	find . -name "*.pyc" -delete
 	rm -rf out
-	rm -rf deps/acorn/
+#	rm -rf deps/acorn/
 	rm -f debian/libnode$(ABI).install
 	rm -f debian/libnode-dev.links
 
@@ -203,9 +203,9 @@
 
 override_dh_auto_build-arch:
 	mkdir -p $(NODE_TEST_DIR)
-	mkdir -p deps/acorn/
-	ln -sTf $(shell nodepath acorn) deps/acorn/acorn
-	ln -sTf $(shell nodepath acorn-walk) deps/acorn/acorn-walk
+#	mkdir -p deps/acorn/
+#	ln -sTf $(shell nodepath acorn) deps/acorn/acorn
+#	ln -sTf $(shell nodepath acorn-walk) deps/acorn/acorn-walk
 	dh_auto_build
 
 override_dh_auto_build-indep:
